Subject: Re: lightdm cannot be installed/is removed by apt-get dist-upgrade

From: Nicola Orrù <[email-masked]>
Date: Sun, 16 Feb 2020 20:40:45 +0000

This is the only bit configuration I've got that could be held
responsible for pinning, AFAIK:

$ cat /etc/apt/preferences.d/avoid-systemd
Package: systemd-sysv
Pin: release o=Debian
Pin-Priority: -1

On Sun, 16 Feb 2020 at 20:24, Nicola Orrù <[email-masked]> wrote:
>
> I have installed
>
> libpam-systemd,
>
> as a result I got this:
>
> The following packages will be REMOVED:
>   consolekit libpam-ck-connector libpolkit-backend-consolekit-1-0
> libpolkit-gobject-consolekit-1-0 libsystemd0
>
> Is it expected?
>
> On Sun, 16 Feb 2020 at 20:22, Nicola Orrù <[email-masked]> wrote:
> >
> > Hi,
> >
> > thanks for the help
> >
> > apt-mark showhold doesn't show any pinned packages.
> >
> > On Sun, 16 Feb 2020 at 17:19, Mark Hindley <[email-masked]> wrote:
> > >
> > > Nicola,
> > >
> > > Thanks.
> > >
> > > I think you have an APT configuration issue.  libpam-elogind provides the logind
> > > dependency that lightdm requires.
> > >
> > > On Sun, Feb 16, 2020 at 03:54:05PM +0000, Nicola Orrů wrote:
> > > > LANGUAGE=en_GB:en (charmap=UTF-8)
> > > > Shell: /bin/sh linked to /bin/dash
> > > > Init: sysvinit (via /sbin/init)
> > > > LSM: AppArmor: enabled
> > > >
> > > > Versions of packages lightdm depends on:
> > > > ii  adduser                                3.118
> > > > ii  dbus                                   1.12.16-1+devuan2
> > > > ii  debconf [debconf-2.0]                  1.5.73
> > > > ii  libaudit1                              1:2.8.5-2+b1
> > > > ii  libc6                                  2.29-10
> > > > ii  libgcrypt20                            1.8.5-3
> > > > ii  libglib2.0-0                           2.62.4-2
> > > > pn  libpam-systemd | logind                <none>
> > >
> > > Do you have apt pinning of libpam-systemd? If so, that is what is preventing the
> > > installation. libpam-elogind also provides libpam-systemd.
> > >
> > > Mark
> >
> >
> >
> > --
> > Cheers,
> > Nico
>
>
>
> --
> Cheers,
> Nico

-- 
Cheers,
Nico